#ifndef PARTS_GENERATOR_WINDOW_H
#define PARTS_GENERATOR_WINDOW_H

/*!
  \file
  \brief 部品生成ツールのウィンドウ管理

  \author Satofumi KAMIMURA

  $Id: PartsGeneratorWindow.h 262 2009-01-30 13:25:37Z satofumi $
*/

#include "ui_PartsGeneratorWindowForm.h"
#include <memory>


/*!
  \brief デジタル部品画像の生成用
*/
class PartsGeneratorWindow
  : public QMainWindow, private Ui::PartsGeneratorWindowForm
{
  Q_OBJECT;

  PartsGeneratorWindow(void);
  PartsGeneratorWindow(const PartsGeneratorWindow& rhs);
  PartsGeneratorWindow& operator = (const PartsGeneratorWindow& rhs);

  struct pImpl;
  std::auto_ptr<pImpl> pimpl;

  void closeEvent(QCloseEvent* event);

private slots:
  void aboutApplication(void);
  void newFile(void);
  void openFile(void);
  void saveFile(void);
  bool saveAsFile(void);
  void update(void);
  void outputPixmap(void);

  void fontSizeChangedHandler(int value);
  void offsetChangedHandler(int value);
  void fontColorClickedHandler(void);
  void backgroundColorClickedHandler(void);

  void fontChangedHandler(void);

public:
  PartsGeneratorWindow(const QString& config_file);
  ~PartsGeneratorWindow(void);
};

#endif /* !PARTS_GENERATOR_WINDOW_H */
